using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;

namespace Test_Merge
{
    internal class DriverLapTimeWindow:Window
    {
        public DriverLapTimeWindow(Bitmap image, Rectangle bounds) : base(image, bounds)
        {
            Name = "Lap time";
        }
        /// <summary>
        /// Decodes the lap time contained in the image using OCR Tesseract
        /// </summary>
        /// <returns>The laptime in int (ms)</returns>
        public override async Task<object> DecodePng()
        {
            int result = await GetTimeFromPng(WindowImage, OcrImage.WindowType.LapTime, Engine);
            return result;
        }
    }
}
